function [Ez]=exp_z(mz, lz, trg)
% function [Ez]=xp_z(mz, lz, trg)
% calculates the expectation of latent z's w.r.t. the truncated 
% Qz distribution
% mz, lz: mode and precision of the truncated normal.
% trg: target label (determines the range of the distribution).
%  
% (C) P. Sykacek 2004

Ez=mz;
Ez=Ez(:);
idone=find(trg==1);
idzero=find(trg==0);
if ~isempty(idone)
  px=pdf_Gauss(zeros(size(idone)), mz(idone), lz(idone));
  Prb=1-bprb_normcdf(zeros(size(idone)), mz(idone), 1./sqrt(lz(idone)));
  Ez(idone)=Ez(idone)+px./(Prb.*lz(idone));
end
if ~isempty(idzero)
  px=pdf_Gauss(zeros(size(idzero)), mz(idzero), lz(idzero));
  Prb=bprb_normcdf(zeros(size(idzero)), mz(idzero), 1./sqrt(lz(idzero)));
  Ez(idzero)=Ez(idzero)-px./(Prb.*lz(idzero));
end