function [fstruc]=readdef(fname)
% function used to read in ifname
% each entry in fstruct consists of a file name and a label list.
% these are later converted into allsysdata cell arrays.
%
% (C) P. Sykacek 2005

defid=fopen(fname, 'r');
rdok=defid~=-1;
n=0;
havetstf=1;
havetstl=1;
havetrf=1;
havetrl=1;
while rdok
    line=fgets(defid);
    rdok=line~=-1;
    tstfnam=0;
    tstlbl=0;
    trfnam=0;
    trlbl=0;
    if rdok
        [tok, rem]=strtok(line);
        while ~isempty(tok)
            if strcmp(tok, 'tstfname:')
                tstfnam=1;
                if havetstf & havetstl & havetrf & havetrl 
                    n=n+1;
                    havetstf=0;
                    havetstl=0;
                    havetrf=0;
                    havetrl=0;                    
                end
                havetstf=1;
                fstruc(n).tstfnam='';
            elseif strcmp(tok, 'tstlabels:')
                tstlbl=1;
                if havetstf & havetstl & havetrf & havetrl 
                    n=n+1;
                    havetstf=0;
                    havetstl=0;
                    havetrf=0;
                    havetrl=0;                    
                end
                havetstl=1;                
                fstruc(n).tstlabels=[];                
            elseif strcmp(tok, 'trfname:')
                trfnam=1;
                if havetstf & havetstl & havetrf & havetrl 
                    n=n+1;
                    havetstf=0;
                    havetstl=0;
                    havetrf=0;
                    havetrl=0;                    
                end
                havetrf=1;
                fstruc(n).trfnam='';
         elseif strcmp(tok, 'trlabels:')
                trlbl=1;
                if havetstf & havetstl & havetrf & havetrl 
                    n=n+1;
                    havetstf=0;
                    havetstl=0;
                    havetrf=0;
                    havetrl=0;                    
                end
                havetrl=1;
                fstruc(n).trlabels=[];                                
            elseif tstfnam
                fstruc(n).tstfnam=tok;
                havetstf=1;
            elseif tstlbl
                fstruc(n).tstlabels=[fstruc(n).tstlabels; str2num(tok)];
                havetstl=1;
            elseif trfnam
                fstruc(n).trfnam=tok;
                havetrf=1;
            elseif trlbl
                fstruc(n).trlabels=[fstruc(n).trlabels; str2num(tok)];
                havetrl=1;
            end
            [tok, rem]=strtok(rem);
        end
    end
end